<html devsite><head>
    <title>Бюллетень по безопасности Pixel и Nexus – май 2018 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Опубликовано 7 мая 2018 г. | Обновлено 9 мая 2018 г.</em></p>

<p>
В этом бюллетене содержится информация об уязвимостях в защите и об улучшениях функциональных возможностей <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">поддерживаемых устройств Pixel и Nexus</a> (устройства Google).
Все проблемы, перечисленные здесь и в бюллетене по безопасности Android за май 2018 года, устранены в исправлении от 5 мая 2018 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705">Справочном центре</a>.
</p>
<p>
Поддерживаемые устройства Google получат обновление системы безопасности 2018-05-05. Мы рекомендуем всем пользователям установить перечисленные здесь обновления.
</p>
<p class="note">
<strong>Примечание.</strong> Образы встроенного ПО для устройств Google можно найти на <a href="https://developers.google.com/android/nexus/images">сайте Google Developers</a>.
</p>
<h2 id="announcements">Объявления</h2>
<p>Помимо исправлений уязвимостей, описанных в бюллетене по безопасности Android за май 2018 года, обновления для устройств Pixel и Nexus содержат также исправления проблем, перечисленных ниже. Мы сообщили партнерам об этих проблемах по крайней мере месяц назад. Они могут включить их исправления в свои обновления безопасности.</p>
<h2 id="security-patches">Обновления системы безопасности</h2>
<p>
Уязвимости сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица, где указаны CVE, ссылки, <a href="#type">тип уязвимости</a>, <a href="https://source.android.com/security/overview/updates-resources.html#severity">уровень серьезности</a>, а также версии AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), Дополнительные ссылки перечислены в квадратных скобках.
</p>

<h3 id="framework">Framework</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13316</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/2a0d062ac398565c4ddb3f1df56638773d9cba30">A-73311729</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="media-framework">Media Framework</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13317</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/8d009272d0f683f07415da9e1a0e193f6d17c7d1">
    A-73172046</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13318</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/215e9ffe4ae272ddd83ee712f2efaee89601622b">A-73782357</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>8.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13319</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/frameworks/av/+/1adff0be1c97a53bdb1645d7fe35bb0a82b516c1">A-71868329</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13320</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/libmpeg2/+/8859d87ed278b13cdf170c58912eaf67a2931550">A-72764648</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>6.0, 6.0.1</td>
  </tr>
</tbody></table>

<h3 id="system">Система</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13323</td>
    <td><a href="https://android.googlesource.com/platform/system/core/+/8257766e842074adf0fb39ca0c9db12463fe59a2">A-73826242</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13321</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/ed8755d92b7734c8cc0569e073fc13de377b73f6">A-70986337</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13322</td>
    <td><a href="https://android.googlesource.com/platform/packages/services/Telephony/+/25b3a8b0af2e479b5eaca40ec5c82a1c7971580a">A-67862398</a></td>
    <td>ОО</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="kernel-components">Компоненты ядра</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2018-5344</td>
    <td>A-72867809<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ae6650163c66a7eff1acd6eb8b0f752dcfa8eba5">
Upstream kernel</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер loop-устройств</td>
  </tr>
  <tr>
    <td>CVE-2017-15129</td>
    <td>A-72961054<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=21b5944350052d2583e82dd59b19a9ba94a007f0">
Upstream kernel</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Пространство имен для сетей</td>
  </tr>
</tbody></table>

<h3 id="nvidia-components">Компоненты NVIDIA</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2018-6254</td>
    <td>A-64340684<a href="#asterisk">*</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Медиасервер</td>
  </tr>
  <tr>
    <td>CVE-2018-6246</td>
    <td>A-69383916<a href="#asterisk">*</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Доверенное приложение Widevine</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Компоненты Qualcomm</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2018-5849</td>
    <td>A-72957611<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=b17c33ea2dafc8fd11b5050d750fefe0b53f226b">
QC-CR#2131811</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>QTEECOM</td>
  </tr>
  <tr>
    <td>CVE-2018-5851</td>
    <td>A-72957505<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=103f385783f368cc5cd3c125390e6dfd43c36096">QC-CR#2146869</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=a9068fbb6bad55c9ecc80b9c3935969c8820c425">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5842</td>
    <td>A-72957257<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=f05883b3d442a7eb9df46a6bde08f1d5cdfc8133">QC-CR#2113219</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=21b91d4faa275d7b1ae58ad6a549cfa801066dfe">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5848</td>
    <td>A-72957178<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=6e5a9b32503d37a202fccc5d24b189ae6107a256">
QC-CR#2126062</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WIGIG</td>
  </tr>
  <tr>
    <td>CVE-2018-5853</td>
    <td>A-71714212<a href="#asterisk">*</a><br />
        QC-CR#2178082<br />
        QC-CR#2043277</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Сетевая подсистема</td>
  </tr>
  <tr>
    <td>CVE-2018-5843</td>
    <td>A-71501685<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=ea4459a044783649b1695653f848647c68bee69d">
QC-CR#2113385</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер модема</td>
  </tr>
  <tr>
    <td>CVE-2018-5844</td>
    <td>A-71501682<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.9/commit/?id=f8ed842bb3f4620eafa2669e0f534ce4c3ac6f07">
QC-CR#2118860</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Видеоустройство</td>
  </tr>
  <tr>
    <td>CVE-2018-5847</td>
    <td>A-71501681<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.9/commit/?id=3ddf48ce0377d71c86ff09d199f0307dad39fdd5">
QC-CR#2120955</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Snapdragon Display Engine</td>
  </tr>
  <tr>
    <td>CVE-2018-3582</td>
    <td>A-72956801<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=db5ee07b422f0d49ecf992b0b050c9266b0eb8e7">
QC-CR#2149531</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-3581</td>
    <td>A-72957725<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=becb9c5aaa05137ce1002f77f8a7d9e7e0799268">QC-CR#2150359</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=43c8a7f083c56b2f6aeac6d77721f5a70bdba99c">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-3576</td>
    <td>A-72957337<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=bdf6936cd49a1e43184c7ff1635126fca946a995">
QC-CR#2128512</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-3572</td>
    <td>A-72957724<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=b11e3a50197e73e397c36d335d56d905b99eb02c">QC-CR#2145996</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/opensource/audio-kernel/commit/?id=fbf66aa0c6ae84db64bdf0b8f3c3a32370c70c67">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Аудио</td>
  </tr>
  <tr>
    <td>CVE-2018-3571</td>
    <td>A-72957527<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.9/commit/?id=db41c9cc35d82238a4629e5ff29ba0c6b80b2cd6">
QC-CR#2132332</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>KGSL</td>
  </tr>
  <tr>
    <td>CVE-2017-18153</td>
    <td>A-35470735<a href="#asterisk">*</a><br />
        QC-CR#2021363</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>qcacld-2.0</td>
  </tr>
  <tr>
    <td>CVE-2017-18070</td>
    <td>A-72441280<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=dc6c24b0a660d643c90a9cede1be4bdd44509b3e">
QC-CR#2114348</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15857</td>
    <td>A-65122765<a href="#asterisk">*</a><br />
        QC-CR#2111672<br />
        QC-CR#2152401<br />
        QC-CR#2152399<br />
        QC-CR#2153841</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Камера</td>
  </tr>
  <tr>
    <td>CVE-2017-15854</td>
    <td>A-71501688<br />
        <a href=" https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=aef5f626a7454844cc695a827cb87f89b37501e7">
QC-CR#2114396</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15843</td>
    <td>A-72956941<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=a549abd08f3a52593d9602128c63c1212e90984b">QC-CR#2032076</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=e05adec18cbc3c9213cc293441a2be8683339b4a">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер floor_vote</td>
  </tr>
  <tr>
    <td>CVE-2017-15842</td>
    <td>A-72957040<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=c4ab75dfc22f644fb5ee70bd515aaf633761cd3b">QC-CR#2123291</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/opensource/audio-kernel/commit/?id=6d42b0e51ed7f8e51397d89af66c1453beba51cd">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>qdsp6v2</td>
  </tr>
  <tr>
    <td>CVE-2017-15832</td>
    <td>A-70237689<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=2b087bc5d5bdc18f9bc75148bd8b176a676b910a">
QC-CR#2114756</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2018-5852</td>
    <td>A-70242505<a href="#asterisk">*</a><br />
        QC-CR#2169379</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Драйвер IPA</td>
  </tr>
  <tr>
    <td>CVE-2018-3579</td>
    <td>A-72957564<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=c2ce7b9c46d24a30901a402f3d4892b905b7d8e8">
QC-CR#2149720</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>WLAN</td>
  </tr>
</tbody></table>

<h2 id="functional-patches">Обновления функциональных возможностей</h2>
<p>
В эти обновления включены исправления проблем, касающихся функциональных возможностей устройств Pixel. Они не связаны с уязвимостями в защите. В таблице приведены ссылки, категория обновления, например Bluetooth или мобильный Интернет, и описание улучшения, а также сведения об устройствах, для которых предназначены исправления.
</p>
<table>
  <tbody><tr>
   <th>Ссылки</th>
   <th>Категория</th>
   <th>Описание</th>
   <th>Устройства</th>
  </tr>
  <tr>
   <td>A-68840121</td>
   <td>Производительность</td>
   <td>Улучшено распознавание одновременных нажатий.</td>
   <td>Все</td>
  </tr>
  <tr>
   <td>A-72851087</td>
   <td>Питание</td>
   <td>Внесены изменения в процесс зарядки батареи.</td>
   <td>Pixel XL</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">Часто задаваемые вопросы</h2>
<p>
В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.
</p>
<p>
<strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong>
</p>
<p>
В исправлении от 5 мая 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-05-05. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Справочном центре</a>.
</p>
<p id="type">
<strong>2. Что означают сокращения в столбце <em>Тип</em>?</strong>
</p>
<p>
В этом столбце указан тип уязвимости по следующей классификации:<em></em>
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Сокращение</th>
   <th>Описание</th>
  </tr>
  <tr>
   <td>УВК</td>
   <td>Удаленное выполнение кода</td>
  </tr>
  <tr>
   <td>ПП</td>
   <td>Повышение привилегий</td>
  </tr>
  <tr>
   <td>РИ</td>
   <td>Раскрытие информации</td>
  </tr>
  <tr>
   <td>ОО</td>
   <td>Отказ в обслуживании</td>
  </tr>
  <tr>
   <td>Н/Д</td>
   <td>Классификация недоступна</td>
  </tr>
</tbody></table>
<p>
<strong>3. Что означает информация в столбце <em>Ссылки</em>?</strong>
</p>
<p>
В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Ссылочный номер Broadcom</td>
  </tr>
</tbody></table>
<p id="asterisk">
<strong>4. Что означает символ * рядом с идентификатором ошибки Android в столбце <em>Ссылки</em>?</strong>
</p>
<p>
Символ * означает, что исправление для уязвимости не опубликовано.<em></em> Необходимое обновление содержится в последних бинарных драйверах для устройств Pixel и Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<p>
<strong>5. Почему теперь одни уязвимости описываются в этом бюллетене, а другие – в бюллетенях по безопасности Android?</strong>
</p>
<p>
В бюллетене по безопасности Android описаны уязвимости, которые необходимо устранить в последнем обновлении системы безопасности для устройств Android. Решать дополнительные проблемы, перечисленные здесь, для этого не требуется.
</p>
<h2 id="versions">Версии</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>Версия</th>
   <th>Дата</th>
   <th>Примечания</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>7 мая 2018 г.</td>
   <td>Бюллетень опубликован.</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>9 мая 2018 г.</td>
   <td>Добавлены ссылки на AOSP.</td>
  </tr>
</tbody></table>

</body></html>